WooCommerce

Requisitos mínimos de servidor para poder sincronizar Woocommerce con Multi-Channel Integration Platform

Para poder sincronizar de forma correcta WooCommerce con Multi-Channel Integration Platform es necesario que cuente con un servidor que cumpla con los siguientes requisitos mínimos y de configuración.

  • Servidor dedicado
  • Servidor con disco duro SSD
  • Servidor con posibilidad de instalar tareas CRON
  • Servidor con la configuración y el soporte técnico en inglés o español.
  • Uso de PHP 7.2 o superior 
  • Configuración de PHP: post_max_size 8M
  • Configuración de Apache: Activar y configurar módulo mod_rewrite
  • Posibilidad de ampliar el límite de memoria máxima a 1024M (memory_limit = 1024M)
  • Posibilidad de aumentar el tiempo de ejecución de scripts (max_execution_time = 3600)
  • Posibilidad de aumentar el tamaño máximo permitido de carga de archivos (upload_max_filesize = 64M)
  • Posibilidad de aumentar el tamaño máximo permitido de las peticiones POST (post_max_size = 8M)
  • No debe contratar un servidor de tipo “web hosting”
  • El hosting no debe tener limitaciones o restricciones a la hora de recibir ficheros
  • El espacio mínimo recomendado para una tienda es de 500 GB (ampliable).
  • Recomendamos instalar la versión de WooCommerce 5.6

Nota: Recomendamos mantener siempre actualizados WordPress y WooCommerce a la última versión disponible. 

Configuración avanzada para servidor no administrado

Si va a contratar o tiene un servidor no administrado, se lo ponemos más fácil. A continuación le dejamos la configuración necesaria.

Configuración Apache

  • Activar y configurar módulo mod_rewrite

Fichero configuración Apache

En el fichero de configuración de Apache, comprobaremos que sobre el directorio de WordPress disponemos, al menos, de la siguiente configuración:

Options FollowSymLinks

AllowOverride All

Configuración de WordPress

  • Usar la opción de URL Amigables
    • Ajustes → Enlaces permanentes → Ajustes comunes y seleccione la opción Nombre de la entrada

  • El dominio configurado en WordPress deberá ser idéntico al usado en el MIP

 

  • El propietario de las carpetas y ficheros deberá coincidir con el usuario del webserver (ej. www-data, etc.) para que la tienda pueda funcionar correctamente y para que pueda actualizar el plugins.
  • Permisos de carpeta/subcarpeta y ficheros (chmod 755 en sistemas Unix)
    • wp-content/uploads

Aquí dispone de documentación oficial para cambiar el permiso de los archivos:  Changing File Permissions

Configuración avanzada PHP-FastCGI en fichero fgcid.conf

Si la ejecución de PHP en su servidor se realiza con los procesos Apache + PHP-FastCGI, revisaremos que disponemos de la siguiente configuración (si se trata de un servidor administrado, recomendamos que transmita esta información a su proveedor de hosting para que sea revisada):

  • FcgidBusyTimeout 15000
  • FcgidIdleScanInterval 120
  • FcgidIdleTimeout 3600
  • FcgidConnectTimeout 60
  • FcgidIOTimeout 300
  • (*) FcgidProcessLifeTime 0
  • (*) FcgidMaxProcesses 20
  • (*) FcgidMaxProcessesPerClass 8
  • (*) FcgidMinProcessesPerClass 0
  • (*) FcgidInitialEnv RAILS_ENV production
  • (*) FcgidZombieScanInterval 12
  • (*) FcgidErrorScanInterval 12

(*) opcionales

Configuración Plesk

Es necesario que modifique el panel Plesk → Sitios Web y dominios →Configuración PHP

  • open_basedir none

Hemos definido una lista de servidores que cumplen con las condiciones y que han sido verificados por el equipo técnico de BigBuy. No es obligatorio el uso de estos servidores pero si es recomendable ya que garantizan el correcto funcionamiento de tu tienda Woocommerce.

NOTA: esta lista se irá ampliando, conforme nuevos servidores se vayan verificando.

Asegúrese antes de sincronizar su WooCommerce con Multi-Channel Integration Platform que cuenta con un servidor que cumple con los requisitos mínimos antes nombrados.

¡Importante!
Los  requisitos mínimos aquí dispuestos garantizan el correcto funcionamiento de la tienda sincronizada con Multi-Channel Integration Platform de BigBuy, si usted usa un servidor con características inferiores, lo hace bajo su responsabilidad, ya que no podemos garantizar su correcto funcionamiento. Así mismo no podremos darle soporte en ese caso durante la sincronización de su ecommerce.

Artículos relacionados